package com.huigou.topsun.customer.application;

import com.huigou.topsun.customer.domain.CustomerPayInfo;
import com.huigou.topsun.customer.domain.vo.CustomerPayInfoVo;

import java.util.List;

/**
 * title:
 * author:ZHT
 * date:2023/12/19
 * description:
 */
public interface CustomerPayInfoApplication {
    String QUERY_XML_FILE_PATH = "config/topsun/customer/customerMapper.xml";

    List<CustomerPayInfo> getCustomerPayInfoList(String customerId);

    CustomerPayInfoVo updateCustomerPayInfo(CustomerPayInfo customerPayInfo);

    CustomerPayInfoVo saveCustomerPayInfo(CustomerPayInfo customerPayInfo);

    void deleteCustomerPayInfo(List<String> ids);

    CustomerPayInfoVo getCustomerPayInfoById(String customerPayInfoId);

    void deleteByCustomerId(String customerId);
}
